Forge

Namespaces | Functions
update_buffer.h File Reference
`#include <fg/defines.h>`

Go to the source code of this file.

## Namespaces
| forge

## Functions
FGAPI fg_err | fg_update_vertex_buffer (const unsigned pBufferId, const size_t pBufferSize, const void *pBufferData)
| Update backend specific vertex buffer from given host side memory. More...
FGAPI fg_err | fg_update_pixel_buffer (const unsigned pBufferId, const size_t pBufferSize, const void *pBufferData)
| Update backend specific pixel buffer from given host side memory. More...
FGAPI fg_err | fg_finish ()
| Sync all rendering operations till this point. More...
FGAPI void | updateVertexBuffer (const unsigned pBufferId, const size_t pBufferSize, const void *pBufferData)
| Update backend specific vertex buffer from given host side memory. More...
FGAPI void | updatePixelBuffer (const unsigned pBufferId, const size_t pBufferSize, const void *pBufferData)
| Update backend specific pixel buffer from given host side memory. More...
FGAPI void | finish ()
| Sync all rendering operations till this point. More...